Available LibrariesΒΆ

Currently it’s not possible to define python packages required for your extension. However, libraries listed bellow are available to use in extensions since they are required for Ulauncher and are pre-installed with the app.

In future we’ll make it possible to support requirements.txt for extensions.

gir1.2-gtk-3.0
GTK+ 3.0
gir1.2-keybinder-3.0
Library for registering global key bindings for gtk-based applications in X11.
gir1.2-webkit2-3.0
JavaScript engine library from WebKitGTK+
gir1.2-glib-2.0
Low level core library
gir1.2-notify-0.7
Desktop notification library (libnotify is a library for sending desktop notifications)
gir1.2-gdkpixbuf-2.0
An image loading library
gir1.2-appindicator3-0.1
Allow applications to export a menu into the panel
python-dbus
Python DBus library.
python-pyinotify
Monitoring filesystems events with inotify on Linux
python-pysqlite2
DB-API 2.0 interface for SQLite databases
python-websocket
websocket client for python
python-xdg
Python library supporting various freedesktop standards.